Package Details: dex-editor-git 1889.b1f65ce-1

Git Clone URL: https://aur.archlinux.org/dex-editor-git.git (read-only)
Package Base: dex-editor-git
Description: A small and lightweight command line based text editor.
Upstream URL: http://github.com/tihirvon/dex
Licenses: GPL2
Submitter: x33a
Maintainer: x33a
Last Packager: x33a
Votes: 4
Popularity: 0.000165
First Submitted: 2011-09-23 05:57
Last Updated: 2015-07-22 12:04

Dependencies (3)

Required by (0)

Sources (1)

Latest Comments

x33a commented on 2015-04-17 17:30

Here's the upstream ticket regarding the naming:

https://github.com/tihirvon/dex/issues/26

x33a commented on 2015-02-23 04:35

@stef204,

conditional renaming will break consistency, so that's out of the question. I'll post this question on the mailing list when I find the time.

Thanks for the suggestions.

stef204 commented on 2015-02-21 12:32

@x33a - thanks for this package.
Re. name collision, I don't see any way to resolve other than modifying binary name; you could try to write-in a check for a pre-existing /usr/bin/dex and only modify binary name IF the other 'dex' is already installed (if you're inclined to do so.)
Also try asking the AUR community's mailing list--this must have occurred with other packages as well....

stef204 commented on 2015-02-21 12:31

@x33a - thanks for this package.

Re. name collision, I don't see any way to resolve other than modifying binary name; you could try to write-in a check for a pre-existing /usr/bin/dex and only modify binary name IF the other 'dex' is already installed (if you're inclined to do so.)

Also try asking the AUR community's mailing list--this must have occurred with other packages as well....

x33a commented on 2015-02-10 05:22

@jswagner, I can put dex in the conflicts field. But then people wouldn't be able to have these installed together.

Can you suggest a solution other than renaming the binary?

jswagner commented on 2015-02-10 05:04

This conflicts with the unrelated package, 'dex'.
--
error: failed to commit transaction (conflicting files)
dex-editor-git: /usr/bin/dex exists in filesystem
dex-editor-git: /usr/share/man/man1/dex.1.gz exists in filesystem
Errors occurred, no packages were upgraded.

x33a commented on 2015-02-09 08:50

Updated PKGBUILD. Added ncurses to dependencies.

@qanjaro, next time please specify the reason for flagging the package.